php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #7912 Imagexxx calls dont work properly. Is GD installed correctly?
Submitted: 2000-11-21 18:24 UTC Modified: 2000-12-07 03:55 UTC
From: aaron at crustal dot ucsb dot edu Assigned:
Status: Closed Package: GD related
PHP Version: 4.0.3pl1 OS: Solaris8
Private report: No CVE-ID: None
 [2000-11-21 18:24 UTC] aaron at crustal dot ucsb dot edu
I am starting to play around with images and found in the docs that the 
imagetypes() function didn't work in php 4.0.0.  So I decided to upgrade to 4.0.3pl1 and add in support for more goodies.  I used the following configure line:

./configure --with-mysql=/local/apps/mysql --with-apxs=/opt/apache/bin/apxs --with-gd=shared,/local --with-jpeg-dir=/local --with-ttf=/local --with-t1lib=/local --with-zlib=/local

It is not clear from the configure --help output what the paths are 
supposed to point to, but /local on my system is also /usr/local, 
all the above items were installed with default paths, so libs are
in /local/lib and includes are in /local/include.  I configured gd-1.8.3 with
all its suggested goodies.  The configure and build all along seemed to go well.  The same for the php configure, make and make install.  But when I try imagetypes(), it still says that imagetypes is undefined. 
I tried creating and outputting some imagefiles.  I can make all the 
function calls, but no files are created, either to the browser or to my unix filesystem.  The new version of php is definitely being used (restarted apache and looked at phpinfo() output).  Is there a way I can tell if GD is installed correctly?  

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-11-22 06:55 UTC] sniper@php.net
1. Is the GD mentioned in phpinfo() output?
2. What is the exact error message you get with 
   imagetypes() ?

--Jani
 [2000-12-07 03:55 UTC] sniper@php.net
You would have got the shared version to work by just adding
this line into your php.ini:

extension=gd.so

But as you are now compiling without the shared, this is not needed.

--Jani

 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Nov 13 14:01:29 2019 UTC